/**
 * Soroban(Soroban Freaks)
 * (c) Kenta Cho (cs8k-cyu@asahi-net.or.jp)
 * http://www.asahi-net.or.jp/~cs8k-cyu/
 *
 * soroban.h(header file)
 */
#include "soroban_rsc.h"

#define TRUE 1
#define FALSE 0
#define randomize() SysRandom(TimGetTicks())
#define randN(N) ((((long) SysRandom(0)) * N) / ((long) sysRandomMax + 1))

#define PEN_TOP_Y 16
#define PEN_BOTTOM_Y 149

typedef struct {
  int topIdx, btmIdx;
  int x, topy, btmy;
  int idTopIdx, idBtmIdx;
} SorobanLine;

#define TITLE 0
#define GAME_IN_PROGRESS 1
#define GOTO_TITLE 2

#define NONE -1
#define GOTO_START 0
#define START 1
#define GOTO_QUESTION 2
#define QUESTION 3
#define NEXT_QUESTION 4
#define LAST_QUESTION 5

typedef struct {
  int status;
  int questionCnd;
  long waitTick;
} GameStatus;


